/**
This function checks if the files are matched by the tsconfig include, exclude, and it returns the unmatched files.

If no tsconfig is found, it will create a fallback tsconfig file in the `node_modules/.cache/xo` directory.

@param options
@returns The unmatched files.
*/
export declare function handleTsconfig({ cwd, files }: {
    cwd: string;
    files: string[];
}): Promise<{
    unincludedFiles: string[];
    fallbackTsConfigPath: string;
}>;
