import arrify from 'arrify';
import { allFilesGlob } from './constants.js';
/**
Convert a `xo` config item to an ESLint config item.

In a flat structure these config items represent the config object items.

Files and rules will always be defined and all other ESLint config properties are preserved.

@param xoConfig
@returns eslintConfig
*/
export const xoToEslintConfigItem = (xoConfig) => {
    const { files, rules, space, prettier, ignores, semicolon, react, ..._xoConfig } = xoConfig;
    const eslintConfig = {
        ..._xoConfig,
        files: arrify(xoConfig.files ?? allFilesGlob),
        rules: xoConfig.rules ?? {},
    };
    eslintConfig.ignores &&= arrify(xoConfig.ignores);
    return eslintConfig;
};
//# sourceMappingURL=utils.js.map